Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1014069 - [spice-html5] Unable to send ctrl-alt-del to a Windows guest while using spice-html5 console
Summary: [spice-html5] Unable to send ctrl-alt-del to a Windows guest while using spic...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.4.0
Assignee: Frantisek Kobzik
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-10-01 11:20 UTC by Jiri Belka
Modified: 2014-09-18 12:24 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-12 14:04:07 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
SPICE-HTML5 console with "Send Ctrl-Alt-Delete" button (deleted)
2014-02-18 11:22 UTC, Pavel Novotny
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 19942 None None None Never

Description Jiri Belka 2013-10-01 11:20:12 UTC
Description of problem:
Unable to send ctrl-alt-del to a Windows guest while using spice-html5 console, thus it is impossible to login/unlock screen.

Version-Release number of selected component (if applicable):
is16

How reproducible:
100%

Steps to Reproduce:
1. spice-html5 setup with rhevm33, windows guest with windows guest tools
2. open spice-html5 console
3.

Actual results:
could not send ctrl-alt-del monkey keystroke

Expected results:
there should be a way to send ctrl-alt-del so one can use windows with spice-html5

Additional info:
workaround exists: change to plugin console, send ctrl-alt-del, close the console and open again spice-html5 console

Comment 1 Itamar Heim 2013-10-01 20:42:45 UTC
uri - i saw you commented on this patch[1] - do you know a way to do this?
[1] http://patchwork.freedesktop.org/patch/13183/

Comment 2 Uri Lublin 2013-10-02 11:09:25 UTC
The committed patch [2] addressed my comments.

I see nothing calls sendCtrlAltDel().
I think in his implementation Amos added a send-ctrl-alt-del button that calls
this function.

[2] http://cgit.freedesktop.org/spice/spice-html5/commit/?id=828d975b2db7231d5560f4ca3cf0487ce5c80d4b

Comment 3 Itamar Heim 2013-10-03 07:39:14 UTC
amos - how do we add that button? thanks.

Comment 4 Amos Benari 2013-10-07 08:10:57 UTC
In foreman the Ctrl-Alt-Del button is in the web page that host the console.
It is a simple button (link with some css decoration) that calls the js on click. 

html:
<a href="#" class="btn" onclick="sendCtrlAltDel()">Ctrl-Alt-Del</a>

Comment 5 Frantisek Kobzik 2013-10-29 15:07:18 UTC
merged u/s master as: 9b2cd809974bdfdb4350a9533ec939a2b615f647

Comment 6 Sandro Bonazzola 2014-01-14 08:42:58 UTC
ovirt 3.4.0 alpha has been released

Comment 7 Pavel Novotny 2014-02-18 11:20:13 UTC
Verified upstream in ovirt-engine-3.4.0-0.7.beta2.el6.noarch.

SPICE-HTML5 console contains now new button "Send Ctrl-Alt-Delete" at the bottom (see following screenshot), which emulates the Ctrl+Alt+Del keystroke at the guest side.

Comment 8 Pavel Novotny 2014-02-18 11:22:06 UTC
Created attachment 864472 [details]
SPICE-HTML5 console with "Send Ctrl-Alt-Delete" button

Comment 9 Itamar Heim 2014-06-12 14:04:07 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.